Terminologies
-
New: APIs that have been added and available in the release
-
Updated: APIs/fields that have been updated and available in the release
-
Deprecated: APIs/fields that have been deprecated in the release will continue to work until they are finally REMOVED in future releases. Usually, deprecated APIs/fields are replaced by new APIs/fields. You are strongly recommended to migrate the usage of all deprecated APIs/fields to the new ones as soon as practicable.
-
Removed: APIs/fields that have been removed and will NOT be available in the release
August 2025
Updated
-
List Projects
-
Include external and internal email recipients for each project in the response, via new
externalEmailRecipientsandinternalEmailRecipientsfields
-
-
-
Added new fields
externalEmailRecipientsandinternalEmailRecipientsto the request body for updating email recipients for a project
-
February 2025
January 2025
Updated
-
API: members APIs
-
Removing field
timeSettings.defaultPayTypefrom members response
-
October 2024
New
-
API: GET groups
-
Added new endpoint for listing all groups for your Raken account.
-
Updated
-
API: GET checklists
-
Added support for querying checklists for dates within a specified datetime range using the parameters
checklistDateFromandchecklistDateFrom. -
Field
checklistDatehas been added to the response
-
Updated
-
API: Equipment Logs
-
Param
projectUuidhas been changed toprojectUuids, is now optional, and accepts a list -
Added support for querying equipment logs created within a specified datetime range using the parameters
fromCreatedAtandtoCreatedAt. -
Added support for querying equipment logs for specific pieces of equipment using the parameter
equipmentUuids. -
Added support for querying equipment logs for specific statuses using the parameter
status. -
Added support for querying equipment logs with equipment matching a query string using the parameter
query. -
Response structure has been modified
-
March 2024
Updated
-
List Observations
-
Added support for querying observations updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Work Logs
-
Added support for querying work logs updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Material Logs
-
Added support for querying material logs updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Equipment Logs
-
Added support for querying equipment logs updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Daily Reports
-
Added support for querying daily reports updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Members
-
Added support for querying members updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Materials
-
Added
materialUnit.namein the response of List/Create/Update.
-
Deprecated
-
List Material Logs
-
Fields
costCodeUuid,costCodeCode,costCodeDescriptionare deprecated and replaced bycostCode. -
Fields
materialUuid,materialName,materialUnitNameare deprecated and replaced bymaterialandmaterial.materialUnit.
-
Removed
-
List Work Logs
-
Fields
timeCards[].lunchStartTime,timeCards[].lunchDuration,timeCards[].breakStartTime,timeCards[].breakDurationare removed. -
Fields
timeCards[].created,timeCards[].updatedare removed. -
Fields
timeCards[].timeEntries[].payTypeCode,timeCards[].timeEntries[].classificationUuid,timeCards[].timeEntries[].costCodeUuidare removed.
-
-
List Classifications
-
Query parameter
statusis removed.
-
-
List Equipment Logs
-
Fields
equipmentUuid,equipmentName,equipmentRate,equipmentFrequency,equipmentIdare removed and replaced byequipment.
-
February 2024
Updated
-
List Cost Codes
-
Added support for querying code codes updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Time Cards
-
Added support for querying time cards updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
-
List Projects
-
Added support for querying projects updated within a specified datetime range using the parameters
changedSinceandchangedUntil.
-
January 2024
Updated (Breaking change)
-
List Work Logs
-
Fields
timeCards[].createdByare replaced with an object (uuid with a name), previously was an email. -
Fields
timeCards[].updatedByare replaced with an object (uuid with a name), previously was an email.
-
-
List Time Cards
-
Fields
createdByare replaced with an object (uuid with a name), previously was an email -
Fields
updatedByare replaced with an object (uuid with a name), previously was an email.
-
December 2023
Updated
-
Checklists: API users are now able to filter checklists by checklist type. New fields associated with Checklists are added.
November 2023
New
-
Checklist Types: API users are now able to get all checklist types in Raken.
Updated
-
Checklists: API users are now able to see a checklist type associated with checklist templates.
October 2023
New
-
Observations: API users are now able to get an observation by UUID.
-
Observations: API users are now able to list all observations in Raken.
August 2023
Updated
-
Projects: get production insights now supports an additional query parameter
costCodeUuid. -
Projects: get production insights now supports an additional query parameter
costCodeDivision.
January 2023
New
-
Projects: API users now able to get members of a project.
November 2022
New
-
Past Toolbox Talks: API users are now able to list past toolbox talks in Raken.
-
Projects: API users now able to get production insights for a project in Raken.
Updated
-
List Work Logs
-
Field
namerepresenting work log name added to response. -
Support to query for Child project using
projectUuidparameter -
Support to query by Work log status
COMPLETEDby default.
-
-
The
fileNamefield for attachment is added to the API response. This affects all GET API endpoints that return attachment objects in their response.
Deprecated
-
List Work Logs
-
Fields
timeCards[].lunchStartTime,timeCards[].lunchDuration,timeCards[].breakStartTime,timeCards[].breakDurationare deprecated and replaced bytimeCards[].breaks[].startTime&timeCards[].breaks[].duration. -
Removed support for
WorklogType.PERSON
-
-
-
Deprecated and replaced by Members
-
-
-
jwt_tokenis deprecated, useaccess_tokeninstead.
-
Removed
-
-
HTTP request header
Authenticationsupport is removed. The standardAuthorizationheader is mandatory.
-
October 2022
New
-
Time Cards: API users are now able to list all time cards in Raken.
-
Daily Reports: API users are now able to list all daily reports in Raken.
September 2022
New
-
Toolbox Talks: API users are now able to list all toolbox talks in Raken.
-
Shifts: API users are now able to list all the shifts, and create & update a shift in Raken.
-
Projects: API users now able to get child projects for a parent project.
-
Projects: API users now able to get notes attached to a project.
Updated
-
List Work Logs
-
New field in Work Logs:
timeCards[].timeEntries[].shift.uuid
-
-
List Members
-
New query parameter
classificationUuidsfor querying members by one or more classification UUIDs
-
-
List Checklists
-
New query parameters
templateUuid,createdByUuid,fromCreatedAtandtoCreatedAtfor querying checklists
-
August 2022
New
-
Classifications: API users are now able to create a classification in Raken.
-
Materials: API users are now able to list all the materials, and create & update a material in Raken.
-
Material Units: API users are now able to list all material units, and create a material unit in Raken.
-
Budgets: API users are now able to list all budgets in Raken.
-
Users: API users are now able to get the info of the user who is making API calls to Raken.
-
Checklists: API users are now able to list all checklists, or get an individual checklist with the response details, in Raken.
-
Checklists: API users are now able to list all checklist templates in Raken.
Deprecated
-
List Work Logs
-
Fields
timeCards[].timeEntries[].payTypeCodeis deprecated and replaced bytimeCards[].timeEntries[].payType. -
Fields
timeCards[].timeEntries[].classificationUuidis deprecated and replaced bytimeCards[].timeEntries[].classification. -
Fields
timeCards[].timeEntries[].costCodeUuidis deprecated and replaced bytimeCards[].timeEntries[].costCode.
-
-
List Classifications
-
Query parameter
statusis deprecated and replaced bystatuses.
-
-
-
HTTP request header
Authenticationis deprecated and replaced byAuthorization.
-